<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<ui:insert name="htmlhead" />
	<link rel="shortcut icon" href="/Square2/resources/favicon.ico" />
</h:head>
<h:body style="background-color: #eef7ff !important">
	<h:outputScript library="primefaces" name="jquery/jquery.js?version=#{startup.time}" target="head" />
	<h:outputScript library="js" name="ship.js?version=#{startup.time}" target="head" />
	<h:outputStylesheet library="css" name="style.css?version=#{startup.time}" />
	<h:outputStylesheet library="css" name="primefaces_adjustment.css?version=#{startup.time}" />
	<h:outputStylesheet library="primefaces" name="primeicons/primeicons.css?version=#{startup.time}" />
	<h:outputStylesheet library="css" name="slickgrid.fix.css?version=#{startup.time}" />
	<div class="layoutProfile">
		<table>
			<tr>
				<td>
					<div style="margin-left: 2px">
						<h:form>
							<h:panelGrid columns="3" columnClasses=",topleftusername">
								<ship:selectLocaleIcon value="#{lang.localeCode}" list="#{lang.countries}" valueChangeListener="#{lang.countryLocaleCodeChanged}" />
								<h:commandLink action="#{loginController.toProfile}" value="#{profile.forename} #{profile.surname}" ajax="false" rendered="#{profile != null}" />
								<h:commandLink action="#{loginController.doLogout}" value="#{facesContext.translate('view.button.logout')}#{profile.hasKeycloakAccessToken() ? '(keycloak)' : ''}"  ajax="false" rendered="#{profile != null}" />
							</h:panelGrid>
							<h:panelGrid columns="3" columnClasses=",topleftusername,topleftusername">
								<h:outputText value="Square² #{appl.getVersion(facesContext)} (#{appl.getStage(facesContext)})" />
								<h:commandLink action="#{impressumController.toImpressum(facesContext)}" value="#{facesContext.translate('button.impressum')}" ajax="false" />
                <a target="_blank" title="AGPLv3" href="https://tldrlegal.com/license/gnu-affero-general-public-license-v3-(agpl-3.0)#summary">License</a>
							</h:panelGrid>
						</h:form>
					</div>
				</td>
				<td style="vertical-align: top"></td>
			</tr>
		</table>
	</div>
	<div class="layoutMenu">
		<h:form>
			<ui:insert name="location" />
		</h:form>
	</div>
	<div class="layoutMessages">
		<div id="ajaxmessages" />
		<p:panel header="Maintenance" styleClass="error" rendered="#{loginModel.getMaintenances(facesContext).size() > 0}">
			<ui:repeat value="#{loginModel.getMaintenances(facesContext)}" var="m">
				<div>
					<strong><h:outputText value="#{m.from}">
							<f:convertDateTime pattern="dd.MM.yyyy HH:mm" />
						</h:outputText> - <h:outputText value="#{m.to}">
							<f:convertDateTime pattern="dd.MM.yyyy HH:mm" />
						</h:outputText></strong> <br />
					<h:outputText value="#{facesContext.translate('maintenance')}" />
					<br /> <strong><h:outputText value="#{m.message}" /></strong>
				</div>
			</ui:repeat>
		</p:panel>
		<p:messages layout="table" showDetail="true" showSummary="true" />
	</div>
	<div class="layoutMainpage">
		<div class="dist">
			<ui:fragment rendered="#{profile != null}">
				<ui:insert name="body">
				</ui:insert>
			</ui:fragment>
			<ui:fragment rendered="#{profile == null}">
				<ui:insert name="loginbody" />
			</ui:fragment>
		</div>
	</div>
	<script type="text/javascript">
		bcol = "#{profile.getConfig('config.common.leftmenu.background')}";
		if (bcol != "") {
			$("body").css("background-color", bcol);
		}
	</script>
</h:body>
</html>
